<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>HTML - Tables and Forms and Semantic HTML</title>
</head>
<body>

	<header>
		<h1>HTML Tables and forms</h1>
	</header>

	<main>
		<section>
			<!-- Header tag <h1></h1> and paragraph tag <p></p> -->
			<h3>HTML Entities</h3>

			<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that mix up with HTML codes. </em></p>

			<!-- We added table, thead, tr, and th tags -->
			<!-- table defines an HTML table -->
			<table border="1">
				<!-- thead used to group table header content -->
				<thead>
					<!-- tr defines a table row -->
					<tr>
						<!-- th defines a table header element -->
						<!-- colspan defines the amount of columns the table element will occupy -->
						<th colspan="2">Entity</th>
						<th>Description</th>
					</tr>
				</thead>

				<!-- tbody groups table body content -->
				<tbody>
					<tr>
						<!-- td defines a table data element -->
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>
					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>
					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>
                    <tr>
                        <td>&#8369;</td>
                        <td>#8369</td>
                        <td>peso sign</td>
                    </tr>
                    <tr>
                        <td>&apos;</td>
                        <td>apos</td>
                        <td>single quote</td>
                    </tr>
                    <tr>
                        <td>&quot;</td>
                        <td>quot</td>
                        <td>double quotes</td>
                    </tr>

					<!-- recap activity add a table row for the Peso Sign, double quotation mark and single quotation mark -->

				</tbody>

				<!-- tfoot groups table footer content -->
				<tfoot>
					<tr>
						<th colspan="3">List of HTML Entities</th>
					</tr>
				</tfoot>
			</table>
		</section>
		
		<section>
			
			<!-- We added a header, paragraph, and form tag -->
			<h3>HTML Forms</h3>

		<p>
			<em>
				Input elements that make up a form
			</em>
		</p>

		<form action="https://google.com">
			<label for="full_name">Full Name:</label><br>
			<input type="text" name="full_name" id="full_name" required><br>
            
            <label for="birth_date">Birth Date:</label><br>
            <input type="date" name="birth_date" id="birth_date" required><br>

            <label for="age">Age:</label><br>
            <input type="number" name="age" id="age" required><br>

            <label for="grade-level">Grade Level:</label><br>
            <select name="grade-level" id="grade-level">
                <option value="Elementary">Elementary</option>
                <option value="Junior High School">Junior High School</option>
                <option value="Senior High School">Senior High School</option>
            </select><br>

            <label for="notes">Notes:</label><br>
            <textarea name="notes" rows="5" id="notes"></textarea><br>

            <label>New User:</label>
            <label for="user-type1">Yes</label>
            <input type="radio" name="new_user" id="user-type1">
            <label for="user-type2">No</label>
            <input type="radio" name="new_user" id="user-type2"><br>
            
            <label>Role:</label><br>
            <input type="checkbox" name="role1" id="role1" value="president">
            <label for="role1">President</label><br>

            <input type="checkbox" name="role2" id="role2" value="secretary">
            <label for="role2">Secretary</label><br>

            <input type="checkbox" name="role3" id="role3" value="treasurer">
            <label for="role3">Treasurer</label><br>
            
            <button type="submit">Submit</button>
            <button type="reset">Reset</button>
			<!-- We will then add a button that will submit the form data -->			
		</form>

		</section>
	</main>
	
</body>
</html>